import { Service } from '@/Service/Service';
/*****设备接口*****/
class NvpMachineService {
	
	private static GetMerchListPath: string = '/Machine/GetMerchList';
	/*****商户设备*****/
	static GetMerchList(merchId: string) {
		var result = Service.Request(this.GetMerchListPath, "GET", { merchId });
		return result;
	}
	
	private static DelMerchMachinePath: string = '/Machine/DelMerchMachine';
	/*****删除设备*****/
	static DelMerchMachine(merchId: string, machineId: string) {
		var result = Service.Request(this.DelMerchMachinePath, "POST", { merchId, machineId });
		return result;
	}
	
	private static AddMachinePath: string = '/Machine/AddMachine';
	/*****添加设备*****/
	static AddMachine(merchId: string, payCode: string) {
		var result = Service.Request(this.AddMachinePath, "POST", { merchId, payCode });
		return result;
	}

	

}
export {
	Service,
	NvpMachineService
}
